OPJ_JP3D_DECOMPRESS(1)

NAME
opj_jp3d_decompress - decompress jp3d files

SYNOPSIS
opj_jp3d_decompress [optional arguments] -i input.{jp3d, j3d} -o output.{pgx, bin} -m characteristics.img

OPTIONS

  Required Parameters (except with -h):

-i <compressed file> ( *.jp3d, *.j3d )

    Currently accepts J3D-files. The file type is identified based on its suffix.

-o <decompressed file> ( *.pgx, *.bin )

    Currently accepts PGX-files and BIN-files. Binary data is written to the file (not ascii). If a PGX filename is given, there will be as many output files as slices; an indice starting from 0 will then be appended to the output filename, just before the "pgx" extension.

-m <characteristics file> ( *.img )

    Required only for BIN-files. Ascii data of volume characteristics is written.

  Optional arguments

-h

    Display the help information

-r <RFx,RFy,RFz>

    Set the number of highest resolution levels to be discarded on each dimension. The volume resolution is effectively divided by 2 to the power of the number of discarded levels. The reduce factor is limited by the smallest total number of decomposition levels among tiles.

-l <number of quality layers to decode>

    Set the maximum number of quality layers to decode. If there are less quality layers than the specified number, all the quality layers are decoded.

-O original-file

    This option offers the possibility to compute some quality results for the decompressed volume, like the PSNR value achieved or the global SSIM value. Needs the original file in order to compare with the new one. NOTE: Only valid when -r option is 0,0,0 (both original and decompressed volumes have same resolutions) NOTE: If original file is .BIN file, the volume characteristics file shall be defined with the -m option. (i.e. -O original-BIN-file -m original-IMG-file)

-BE

    Define that the recovered volume data will be saved with big endian byte order. By default, little endian byte order is used.

AUTHOR
This manual page was written by Mathieu Malaterre <malat@debian.org> and Hugo Lefeuvre <hle@debian.org> for the Debian GNU/Linux system, but may be used by others.